Skip to main content
POST
/
api
/
v0
/
companies
/
{company_id}
/
users
Create a new user and add them to the company.
curl --request POST \
  --url https://api.example.com/api/v0/companies/{company_id}/users \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "username": "<string>",
  "email": "<string>",
  "initialRepositories": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ]
}
'
import requests

url = "https://api.example.com/api/v0/companies/{company_id}/users"

payload = {
"name": "<string>",
"username": "<string>",
"email": "<string>",
"initialRepositories": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
username: '<string>',
email: '<string>',
initialRepositories: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};

fetch('https://api.example.com/api/v0/companies/{company_id}/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
{
"msg": "<string>"
}
{
"msg": "<string>"
}
{
"msg": "<string>"
}
{
"msg": "<string>"
}
{
"msg": "<string>"
}

Path Parameters

company_id
string<uuid>
required

Body

application/json
name
string
required
username
string
required
email
string
required
role
enum<string>
required
Available options:
manager,
member,
unverified_member
initialRepositories
string<uuid>[] | null

List of repositories the user will auto-join upon joining the company. If None auto-join all the current and future repositories.

Response

User successfully added to company

id
string<uuid>
required